export default {
    CustomerAgentManagement: {
        border: true,
        index: false,
        height: 450,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        tip: false,
        column: [
            {
                label: "代理商",
                prop: "agentName",
            },
            {
                label: "地区",
                prop: "provinceName",
                formatter: (data) => {
                    return `${data.provinceName || '-'}${data.cityName || ''}`
                }
            },
            {
                label: "联系人信息",
                prop: "linkman",
                formatter: (data) => {
                    return `${data.linkman}-${data.linkmanPhone}`
                }
            },
            {
                label: "系统运营",
                prop: "operationalName",
            },
            {
                label: "管理员账号",
                prop: "managerPhone",
                width: "110px",
            },
            
            {
                label: "添加日期",
                prop: "createTime",
                width: "100px",
                formatter: (data) => {
                    return data.createTime.substring(0, 10)
                }
            },
            {
                label: "合同开始日期",
                prop: "contractStartDate",
                width: "100px",
            },
            {
                label: "合同结束日期",
                prop: "contractEndDate",
                width: "100px",
            },
            {
                label: "服务状态",
                prop: "residueTime",
                width: "100px",
                formatter: data => {
                    let str = ''
                    if (Number(data.residueTime) >= 0) {
                        str = `服务中(${data.residueTime})`
                    } else {
                        str = `过期(${Math.abs(data.residueTime)})`
                    }
                    return str
                }
            },
            {
                label: "状态",
                prop: "lockFlag",
                width: "100px",
                formatter: data => {
                    return data.lockFlag == 1 ? "禁用" : "启用"
                }
            },
        ]
    },
    CustomerCompanymanagement: {
        border: true,
        index: false,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        tip: false,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '公司名称',
                prop: 'name'
            },
            {
                label: "代理商",
                prop: "operatorName",
            },
            
            {
                label: "运营人员",
                prop: "operationStaffName",
            },

            {
                label: "公司地区",
                prop: "provinceName",
                width: "120px",
                formatter: (data) => {
                    return `${data.provinceName || '-'}${data.cityName || ''}`
                }
            },
            {
                label: "服务期项目",
                prop: "houseNum",
            },
        ]
    },

    CustomerCompanyRecord: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        tip: false,
        size: "small",
        column: [
            {
                label: "公司名称",
                prop: "name",
                width: "120px",
            },
            {
                label: "代理商",
                prop: "operatorName",
            },
            {
                label: "运营人员",
                prop: "operationStaffName",
            },
            
            {
                label: "公司地区",
                prop: "provinceName",
                width: "120px",
                formatter: (data) => {
                    return `${data.provinceName || '-'}${data.cityName || ''}`
                }
            },
            
            {
                label: "联系人信息",
                prop: "contactPerson",
                width: "140px",
                formatter: (data) => {
                    return `${data.contactPerson || '-'}${data.contactNumber || ''}`
                }
            },
            
            {
                label: "管理员账号",
                prop: "managerPhone",
            },
            
            {
                label: "服务期项目",
                prop: "houseNum",
            },
            {
                label: "状态",
                prop: "lockFlag",
                width: "100px",
                formatter: data => {
                    return data.lockFlag == 1 ? "禁用" : "启用"
                }
            },
        ]
    },

    CustomerIndex: {
        border: true,
        index: true,
        height: 480,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        selection:true,
        selectionWidth: 100,
        selectionFixed:false,
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        tip: false,
        column: [
            {
                label: "客户",
                prop: "name",
                width: "120px",
            },
            {
                label: "联系电话",
                prop: "phone",
                width: '150px'
            },
            {
                label: "置业顾问",
                prop: "agentName",
            },
            
            {
                label: "客户等级",
                prop: "level",
                formatter: (data) => {
                    if (Number(data.level) > 0) {
                        return String.fromCharCode(Number(data.level)+64)
                    } else {
                        return ''
                    }
                }
            },
            {
                label: "客户阶段",
                prop: "clientStageName",
            },
            {
                label: "客户标签命中数",
                prop: "pickCount",
                width: '150px',
                sortable: true,
            },
            {
                sortable: true,
                label: "到访次数",
                prop: "visitRecord",
                width: '100px',
                formatter: data => {
                    return data.visitRecord || 0
                }
            },
            {
                sortable: true,
                label: "接待时长",
                prop: "mm",
                width: '100px',
            },
            {
                label: "销讲业务",
                prop: "marketingBusinessName",
                width: '100px',
            },
            {
                sortable: true,
                label: "销讲执行率",
                prop: "fraction",
                width: '120px',
                formatter: data => {
                    return `${(data.fraction || 0)}%`
                }
            },
            {
                sortable: true,
                label: "添加时间",
                prop: "updateTime",
                width: '200px',
            },
            {
                sortable: true,
                label: "最近到访时间",
                prop: "createTime",
                width: '200px',
                formatter: data => {
                    return `${(data.createTime || "暂无")}`
                }
            },
        ]
    },

    CustomerSalesStage: {
        border: true,
        index: false,
        height: 480,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "项目名称",
                prop: "houseName",
            },
            {
                label: "阶段名称",
                prop: "stageName",
            },
            {
                label: "顺序",
                prop: "sort",
            },
            {
                label: "备注",
                prop: "remarks",
            },
        ]
    },

    StatisticsAnalysisOfMarketingSpeech: {
        border: true,
        index: false,
        height: 480,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: false,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "销讲场景",
                prop: "firstName",
            },
            {
                label: "销讲指标",
                prop: "secondName",
            },
            {
                label: "话术关键词",
                prop: "thirdName",
            },
            {
                label: "执行接待数",
                prop: "num",
            },
            {
                label: "执行接待占比",
                prop: "zxl",
                formatter: row => {
                    return `${row.zxl||0}%`
                }
            },
        ]
    }
}