export default {
    EquipmentState: {
        border: true,
        index: true,
        height: 400,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        selection: true,
        tip: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '设备编号',
                prop: "imei",
                width: '150px',
                overHidden: true,
                formatter: data => {
                    return data.imei || '-'
                }
            },
            {
                label: '项目',
                prop: "houseName",
                width: '150px',
                overHidden: true,
            },
            {
                label: '领用人',
                prop: "userName",
            },
            {
                label: '在线状态',
                prop: "onLine",
                formatter: data => {
                    return data.onLine == 1 ? "在线" : "离线"
                }
            },
            // 后端接口暂时没有离线天数字段，先注释，待开发 To doing
            // {
            //     label: '离线天数',
            //     prop: "date",
            // },
            {
                label: '录音状态',
                prop: "recCmd",
                formatter: data => {
                    return data.recCmd == "start" ? "开启" : "关闭"
                }
            },
            {
                label: '开机指示灯',
                width: '100px',
                prop: "lightStatus",
                formatter: data => {
                    return data.lightStatus == "on" ? "开启" : "关闭"
                }
            },
            {
                label: '电池电量',
                prop: "electricity",
                width: '200px',
                slot: true,
            },
            {
                label: '信号强度',
                prop: "signalDevice",
            },
            {
                label: '待上传文件',
                prop: "fileCount",
                width: '100px',
            },
            {
                label: '更新时间',
                prop: "updateTime",
                width: "170px",
            },
            {
                label: '开机时间',
                prop: "openTime",
                width: "170px",
            },
            {
                label: '关机时间',
                prop: "closeTime",
                width: "170px",
            },
            {
                label: '关机类型',
                prop: "offStatus",
                formatter: row => {
                    return row.offStatus == 1 ? "正常关机" : row.offStatus == 2 ? "低电关机" : row.offStatus == 3 ? "异常关机" : "-"
                }
            },
        ]
    },

    EquipmentIndex: {
        border: true,
        index: true,
        height: 480,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        selection: true,
        tip: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '设备编号',
                prop: "imei",
                width: '150px',
                overHidden: true,
                formatter: data => {
                    return data.imei || '-'
                }
            },
            {
                label: '批次号',
                prop: "batchId",
                width: '150px',
                overHidden: true,
                formatter: data => {
                    return data.batchId || '-'
                }
            },
            {
                label: '代理商',
                prop: "agentName",
            },
            {
                label: '公司',
                prop: "orgName",
                width: '150px',
                overHidden: true,
                formatter: data => {
                    return data.orgName || '-'
                }
            },
            {
                label: '项目',
                prop: "houseName",
                width: '150px',
                overHidden: true,
            },
            {
                label: '领用人',
                prop: "userName",
                width: '100px',
                overHidden: true,
            },
            {
                label: '领用人手机',
                prop: "userPhone",
                width: 150,
            },
            {
                label: '领用状态',
                prop: "receiveType",
                formatter: row => {
                    return row.receiveType == 1 ? "未领用" : row.receiveType == 2 ? "使用中" : "已归还"
                }
            },
            {
                label: '转写方式',
                prop: "transliterationMethodName",
            },
            {
                label: '设备状态',
                prop: "acceptanceStatus",
                formatter: row => {
                    return row.acceptanceStatus == 0
                        ? "已验收"
                        : row.acceptanceStatus == 1
                            ? "未验收"
                            : row.acceptanceStatus == 2
                                ? "维修中"
                                : row.acceptanceStatus == 3
                                    ? "更换中"
                                    : "已报损"
                }
            },
            {
                label: '添加时间',
                prop: "createTime",
                width: "170px",
            },
            {
                label: '绑定项目时间',
                prop: "bindHouseTime",
                width: "170px",
            },
        ]
    },

    EquipmentBatch: {
        border: true,
        index: false,
        height: 550,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        selection: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '批次号',
                prop: "batchId",
                width: '150px',
                overHidden: true,
            },
            {
                label: '设备号',
                prop: "deviceNoStart",
                formatter: row => {
                    return `${row.deviceNoStart}:${row.deviceNoEnd}`
                }
            },
            {
                label: '应收设备数量',
                prop: "realityEquipmentCount",
            },
            {
                label: '实收设备数量',
                prop: "receivableEquipmentCount",
            },
            {
                label: '已验收设备数量',
                prop: "acceptanceNum",
            },
            {
                label: '创建时间',
                prop: "createTime",
            },
            {
                label: '备注',
                prop: "remark",
            },

        ]
    },

    EquipmentRecord: {
        border: true,
        index: false,
        height: 520,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: false,
        align: "left",
        refreshBtn: false,
        selection: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: '设备编号',
                prop: "equipImei",
            },
            {
                label: '领用人',
                prop: "userName",
            },
            {
                label: '领用人手机',
                prop: "phone",
            },
            {
                label: '领用时间',
                prop: "receiveBeginTime",
            },
            {
                label: '领用操作人',
                prop: "receiveOperationName",
            },
            {
                label: '归还操作人',
                prop: "backOperationName",
            },
            {
                label: '领用状态',
                prop: "receiveType",
                formatter: row => {
                    return row.receiveType == 1
                        ? "未领用"
                        : row.receiveType == 2
                            ? "使用中"
                            : "已归还"
                }
            },

        ]
    }
}