export default {
    ReceivingRecordsIndex: {
        border: true,
        index: false,
        height: 572,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 90,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                sortable: true,
                label: '接待开始时间',
                prop: 'createTime',
            },
            {
                label: "顾问",
                prop: "agentName",
            },
            {
                label: "客户",
                prop: "name",
            },
            {
                label: "到访次数",
                prop: "visitRecord",
            },

            {
                sortable: true,
                label: "录音时长",
                prop: "mm",
            },

            {
                label: "录音类型",
                prop: "recording",
                formatter: data => {
                    return data.recording == 0 ? "没有录音" : data.recording == 1 ? "部分录音" : '完整录音'
                }
            },

            {
                label: "标记顾问",
                prop: "markAdvisor",
                formatter: data => {
                    return data.markAdvisor == 0 ? "未标记" : '已标记'
                }
            },
            {
                sortable: true,
                label: "挖掘执行率",
                prop: "wordFraction",
                formatter: data => {
                    return (data.wordFraction||0) + '%'
                }
            },
            {
                label: "无效接待原因",
                prop: "invalidReason",
                formatter: data => {
                    let str = ''
                    switch (data.invalidReason) {
                        case 1 :
                            str = '没电指派无录音'
                            break;
                        case 2 :
                            str = '离线指派无录音'
                            break;
                        case 3 :
                            str = '系统测试误操作'
                            break;
                        case 4 :
                            str = '非接访场景录音'
                            break;
                        case 5 :
                            str = '其它'
                            break;
                        case 6 :
                            str = '离线'
                            break;
                        case 7 :
                            str = '无设备'
                            break;
                        default :
                            break;
                    }
                    return str
                }
            },

            {
                label: "销讲业务",
                prop: "marketingBusinessName",
            },

            {
                sortable: true,
                label: "挖掘成功率",
                prop: "wordFinishFraction",
                formatter: data => {
                    return (data.wordFinishFraction||0) + '%'
                }
            },

            {
                sortable: true,
                label: "执行率",
                prop: "fraction",
                formatter: data => {
                    return `${data.fraction || 0}%`
                }
            },

            {
                sortable: true,
                label: "接待标识",
                prop: "validInvalidName",
            },

        ]
    }
}