export default {
    buildingIndex: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "项目名称",
                prop: "propertyName",
            },
            {
                label: "代理商",
                prop: "agentName",
                hide: true,
                showColumn: false,
            },
            {
                label: "公司",
                prop: "corporateName",
                hide: true,
                showColumn: false,
            },
            {
                label: "项目地区",
                prop: "provinceName",
                formatter: (data) => {
                    return `${data.provinceName || '-'}${data.cityName || ''}`
                }
            },
            {
                label: "联系人信息",
                prop: "linkman",
                formatter: (data) => {
                    return `${data.linkman}-${data.linkmanPhone}`
                }
            },
            {
                label: "管理员账号",
                prop: "managerPhone",
            },
            {
                label: "运营人员",
                prop: "operationStaffName",
                hide: true,
                showColumn: false,
            },
            {
                label: "项目类型",
                prop: "houseType",
                hide: true,
                showColumn: false,
                dicData: [{
                    label: '正式',
                    value: 0
                }, {
                    label: '试用',
                    value: 1
                }, {
                    label: '演示',
                    value: 2
                }, {
                    label: '测试',
                    value: 3
                }]
            },
            {
                label: "合同开始日期",
                prop: "startWorking",
            },
            {
                label: "合同结束日期",
                prop: "endWorking",
            },
            {
                label: "添加日期",
                prop: "createTime",
                formatter: (data) => {
                    return data.createTime.substring(0, 10)
                }
            },
            {
                label: "服务状态",
                prop: "residueTime",
                formatter: data => {
                    let str = ''
                    if (Number(data.residueTime) >= 0) {
                        str = `服务中(${data.residueTime})`
                    } else {
                        str = `过期(${Math.abs(data.residueTime)})`
                    }
                    return str
                }
            },
            {
                label: "状态",
                prop: "lockFlag",
                formatter: data => {
                    return data.lockFlag == 1 ? "禁用" : "启用"
                }
            },
        ]
    },
    buildingArea: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "区域名称",
                prop: "areaName",
            },
            {
                label: "负责区域",
                prop: "provinceName",
            },
        ]
    },

    buildCount1: {
        border: true,
        index: false,
        height: 420,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "项目名称",
                prop: "propertyName",
            },
            {
                label: "公司名称",
                prop: "orgName",
                minWidth: '100px',
            },
            {
                label: "代理商",
                prop: "agentName",
                minWidth: '100px',
            },
            {
                label: "平均执行率",
                prop: "avgExacutiveRate",
                sortable: true,
                minWidth: '110px',
                formatter: row => {
                    return (row.avgExacutiveRate || 0) + '%'
                }
            },
            {
                label: "设备总数",
                prop: "equipmentNum",
                minWidth: '100px',
                sortable: true,
            },
            {
                label: "地区",
                prop: "area", 
                formatter: row => {
                    return row.area || '-'
                }
            },
            {
                label: "运营人员",
                prop: "operationStaffName",
                hide: true,
                showColumn: false,
                formatter: row => {
                    return row.operationStaffName || '-'
                }
            },
            {
                label: "在线设备",
                prop: "onlineQuantity",
                minWidth: '100px',
                sortable: true,
            },
            {
                label: "离线设备",
                prop: "noOnlineQuantity",
                minWidth: '100px',
                sortable: true,
            },
            {
                label: "活跃设备",
                prop: "activeQuantity",
                minWidth: '100px',
                sortable: true,
            },
            {
                label: "活跃顾问",
                prop: "activeAccount",
                minWidth: '100px',
                sortable: true,
            },
            {
                label: "接待量",
                prop: "sumReception",
                minWidth: '100px',
                sortable: true,
            },
            {
                label: "接待时长",
                prop: "sumRecordTime",
                minWidth: '100px',
                sortable: true,
            },
            {
                label: "违禁次数",
                prop: "sumProhibitedQuantity",
                minWidth: '100px',
                sortable: true,
            },
        ]
    },

    buildCount2: {
        border: true,
        index: false,
        height: 420,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "代理商名称",
                prop: "agentName",
                minWidth: '120px',
            },
            {
                label: "平均执行率",
                prop: "avgExacutiveRate",
                minWidth: '140px',
                formatter: row => {
                    return (row.avgExacutiveRate || 0) + '%'
                }
            },
            {
                label: "运营人员",
                prop: "operationStaffName",
                minWidth: '140px',
                formatter: row => {
                    return row.operationStaffName || '-'
                }
            },
            {
                label: "服务期内项目",
                prop: "houseQuantityOfEnough",
                minWidth: '120px',
                sortable: true,
            },
            {
                label: "接待量",
                prop: "sumReception",
                minWidth: '110px',
                sortable: true,
            },
            {
                label: "设备总数",
                prop: "equipmentNum",
                minWidth: '110px',
                sortable: true,
            },
            {
                label: "接待时长",
                prop: "sumRecordTime",
                minWidth: '110px',
                sortable: true,
            },
            {
                label: "违禁次数",
                prop: "sumProhibitedQuantity",
                minWidth: '110px',
                sortable: true,
            },
        ]
    },

    buildCount3: {
        border: true,
        index: false,
        height: 500,
        indexLabel: "序号",
        stripe: true,
        menuAlign: "center",
        menuWidth: 146,
        menu: true,
        align: "left",
        refreshBtn: false,
        searchSize: "mini",
        searchMenuSpan: 9,
        delBtn: false,
        addBtn: false,
        editBtn: false,
        viewBtn: false,
        size: "small",
        column: [
            {
                label: "公司名称",
                minWidth: '120px',
                prop: "orgName",
            },
            {
                label: "服务期内项目",
                minWidth: '100px',
                prop: "houseQuantityOfEnough",
            },
            {
                label: "平均执行率",
                minWidth: '120px',
                sortable: true,
                prop: "avgExacutiveRate",
                formatter: row => {
                    return (row.avgExacutiveRate || 0) + '%'
                }
            },
            {
                label: "在线设备",
                sortable: true,
                minWidth: '100px',
                prop: "onlineQuantity",
            },
            {
                label: "地区",
                minWidth: '120px',
                prop: "area",
                formatter: row => {
                    return row.area || '-'
                }
            },
            {
                label: "运营人员",
                minWidth: '120px',
                prop: "operationStaffName",
                formatter: row => {
                    return row.operationStaffName || '-'
                }
            },
            {
                label: "设备总数",
                minWidth: '120px',
                sortable: true,
                prop: "equipmentNum",
            },
            {
                label: "离线设备",
                minWidth: '120px',
                sortable: true,
                prop: "noOnlineQuantity",
            },
            {
                label: "活跃设备",
                minWidth: '120px',
                sortable: true,
                prop: "activeQuantity",
            },
            {
                label: "活跃顾问",
                minWidth: '120px',
                sortable: true,
                prop: "activeAccount",
            },
            {
                label: "接待量",
                minWidth: '120px',
                sortable: true,
                prop: "sumReception",
            },
            {
                label: "接待时长",
                minWidth: '120px',
                sortable: true,
                prop: "sumRecordTime",
            },
            {
                label: "违禁次数",
                minWidth: '120px',
                sortable: true,
                prop: "sumProhibitedQuantity",
            },
        ]
    },

}